%% Licensed Materials - Property of IBM
%% Restricted Materials of IBM. Reproduction, modification and redistribution are prohibited.
%% IBM Rational Rhapsody Design Manager
%%  Copyright IBM Corporation 2013 
%% U.S. Government Users Restricted Rights: Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.

function publishSimulinkModelToDM()
	try
		evalin('base', 'createDMConnection');
		dmConn = evalin('base', 'dmConnection');
	catch
		return;
	end	
	
	if isjava(dmConn) == 0
		return;
	end	

	if dmConn.openPublishToDMDialog() == 1
		sysName = get_param(gcs,'name');
		msg = sprintf('Publishing %s to DM...',sysName); 
		disp(msg);
		
		bSuccess = uploadSimulinkModelToDM();
		if bSuccess == 1	
			msg = sprintf('Publishing %s to DM done.',sysName); 
			disp(msg);
		else
			disp('Failed to publish model to DM');
		end
	end
end